;$Id: ppower_compN.pro,v 1.4 2019/05/31 21:01:46 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=18,yoffset=3
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
end
;
;  mv idl.ps ~/tex/roper/PencilGW/fig/ppower_comp.ps
;
!p.charsize=1.7
!x.margin=[7.2,.5]
!y.margin=[3.2,.2]
;
;  scale factor for GW spectra:
;
sGW=1./(32.*!pi)
;
dir1='M144_k10d_expN'
dir2='M144_k10b_expN'
dir3='M144_k10c_expN'
;
power,'_GWs','_mag',k=k,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data'
power,'_GWs','_mag',k=k,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data'
power,'_GWs','_mag',k=k,spec1=spec3,spec2=spec3b,i=n,tt=t3,/noplot,datatopdir='../'+dir3+'/data'
;
!x.title='!6'
!y.title='!6'
!p.multi=[0,1,3]
!p.charsize=2.4
fo='(f6.1)'
siz=1.7
xx=1.2
th2=10
th=8
k0=10.
;
yr=[2e-9,3e-2]
it=10 & itd2=0
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,sGW*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,sGW*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,sGW*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-9,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;
;yr=[1e-7,2e-2]
it=40 & itd2=0
!y.title='!7X!6!dM!n(!8k!6)/!8k!6  and  !7X!6!dGW!n(!8k!6)/!8k!6'
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,sGW*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,sGW*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,sGW*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-9,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;
it=391 & itd2=1
!x.title='!8k!6/!8k!6!d*!n'
!y.title='!6'
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,sGW*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,sGW*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,sGW*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-9,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;xyouts,1.0,2.3e-6,'!8E!6!dGW!n(!8k!6)',siz=siz*.9
;xyouts,0.6,1.6e-3,'!8E!6!dM!n(!8k!6)',siz=siz
xyouts,1.0,2.3e-6,'!7X!6!dGW!n(!8k!6)/!8k!6',siz=siz*.9
xyouts,0.6,1.6e-3,'!7X!6!dM!n(!8k!6)/!8k!6',siz=siz
xyouts,1.43,2.5e-8,'!8c!7d!8t!6/!7d!8x!6=0.23',siz=siz*.8,col=122
xyouts,4.20,1.3e-8,'!60.12',siz=siz*.7,col=55
xyouts,5.50,1e-7,'!60.05',siz=siz*.6
;
END
