;$Id: pspecm_scl5_comp2.pro,v 1.13 2020/08/12 18:44:44 roper Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=8,yoffset=3
  device,xsize=18,ysize=16,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
dir1='M1152e_exp6k4_M4b'
dir2='M1152e_exp6k4'
dir3='M1152e_exp6k4_k60b'
yr_pspecm_scl3=[1d-16,4d-10]
yr_pspechm_scl3=[2d-24,1.4d-20]
;
yr_pspecm_scl3=[5d-25,2d-9]
yr_pspechm_scl3=[2d-28,3.2d-20]
;
yr_pspecm_scl3=[5d-18,2d-9]
yr_pspechm_scl3=[2d-25,3.2d-20]
;
thick4=5
siz=1.3
!p.charsize=1.7
!x.margin=[7.3,0.5]
!y.margin=[3.2,0.2]
!p.multi=[0,1,2]
;fac_h=1.263e-18
fac2=2.
half='!s!u 1!n!r!s-!r!d 2!n'
specm='/specm.sav'
label=''
;
;  determine normalization
;
default,maglabel,'mag'
default,green_lines,0
default,plot_polarization,1
ytickf='logticks_exp'
yr=yr_pspecm_scl3
;
Hstar=2.066d10
a0=1.2545d15
freq=Hstar/(2.*!pi*a0)
H0=3.24d-18
;changed from H0 = 100 km/s/Mpc to 70 km/s/Mpc
;H0=2.268545d-18
rhocrit_fac=3./(8.*!pi)
;fac_h=1.263e-18
;changed H0 from 100 to 70 km/s/Mpc, and computed h_c
;from formula 
fac_h=sqrt(3./2.)*H0/!pi
fac=(Hstar/H0)^2/rhocrit_fac*(1./a0)^4
facGW=1./(16.*!pi)
xr=[5e-5,1.6e-1]
circ_sym,0.7,1
mixed=0.
;
;  1st panel
;
!p.title='!6';+run
!x.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n(!8f!6)'
;
restore,'../'+dir1+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
plot_oo,freq*k,OmegaGW,xr=xr,yr=yr,ytickf=ytickf
;
restore,'../'+dir2+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
oplot,freq*k,OmegaGW,col=122
;
restore,'../'+dir3+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
oplot,freq*k,OmegaGW,col=55
;
xyouts,6e-2,1.0e-13,'!6ini1',siz=siz
xyouts,3e-2,1.3e-15,'!6ini2',siz=siz,col=122
xyouts,3e-3,4.3e-16,'!6ini3',siz=siz,col=55
;
xx=[3e-4,2e-3] & oplot,li=3,xx,3e-8*xx
xx=[6e-3,4e-2] & oplot,li=3,xx,7e-18/xx^(8./3.)
xyouts,1.7e-3,1.3e-10,'!9A!8f!6',siz=siz
xyouts,1.1e-2,2.8e-14,'!9A!8f!6!u-8/3!n',siz=siz
;
;  Caprini+16, Cornish, Maggiore00 points
;
loadct,6
dir='~/tex/roper/PencilGW/data/'
file=dir+'Cornish.rtf'
c1=rtable(file,2,head=1)
;oplot,10^c1[0,*],((10^c1[1,*]/fac_h)*10^c1[0,*])^2,li=4,col=122
;
file=dir+'Cornish20Yrs.dat'
c2=rtable(file,2,head=1)
;oplot,10^c2[0,*],((10^c2[1,*]/fac_h)*10^c2[0,*])^2,li=3,col=122
;
file=dir+'Maggiore.rtf'
m1=rtable(file,2,head=1)
;
file=dir+'Caprini-C3.rtf'
a3=rtable(file,2,head=1)
;oplot,10^a3[0,*],10^a3[1,*],li=2,col=122
;
file=dir+'Caprini-C1.rtf'
a1=rtable(file,2,head=1)
;oplot,10^a1[0,*],10^a1[1,*],li=1,col=122
;
file=dir+'Robson_Cornish.rtf'
n1=rtable(file,2,head=1)
oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
;
;
;xyouts,5.0e-2,1.3e-11,'!6(i)',siz=siz,col=122
;xyouts,1.3e-2,4.2e-11,'!6(ii)',siz=siz,col=122
;xyouts,9e-3,3.4e-10,'!6(iii)',siz=siz,col=122
;xyouts,4e-3,3.8e-10,'!6(iv)',siz=siz,col=122
;
loadct,5
;
;  2nd panel
;
!y.title='!8h!6!dc!n(!8f!6)'
!x.title='!8f!6 [Hz]'
default,kin,0
default,hdone,1
ytickf='logticks_exp'
yr=yr_pspechm_scl3
circ_sym,0.7,1
;
restore,'../'+dir1+specm
fach=1.263e-18/(freq*k[1:*])
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
;plot_oo,freq*k[1:*],fach*sqrt(OmegaGW[1:*]),xr=xr,yr=yr,ytickf=ytickf
plot_oo,freq*k,sqrt(k*grah1m)/a0,xr=xr,yr=yr,ytickf=ytickf
;
;  2nd line
;
restore,'../'+dir2+specm
fach=1.263e-18/(freq*k[1:*])
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
;oplot,freq*k[1:*],fach*sqrt(OmegaGW[1:*]),col=122
oplot,freq*k,sqrt(k*grah1m)/a0,col=122
;
;  3rd line
;
restore,'../'+dir3+specm
fach=1.263e-18/(freq*k[1:*])
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
;oplot,freq*k[1:*],fach*sqrt(OmegaGW[1:*]),col=55
oplot,freq*k,sqrt(k*grah1m)/a0,col=55
;
xyouts,6e-2,6.0e-24,'!6ini1',siz=siz
xyouts,2e-2,4.3e-24,'!6ini2',siz=siz,col=122
xyouts,3e-3,4.3e-24,'!6ini3',siz=siz,col=55
;
;  continous limits
;
loadct,6
;oplot,10^c1[0,*],10^c1[1,*],li=4,col=122
;oplot,10^c2[0,*],10^c2[1,*],li=3,col=122
;oplot,10^a3[0,*],fac_h*sqrt(10^a3[1,*])/10^a3[0,*],li=2,col=122
;oplot,10^a1[0,*],fac_h*sqrt(10^a1[1,*])/10^a1[0,*],li=1,col=122
oplot,10^n1[0,*],10^n1[1,*],li=3,col=122,thick=thick4
;
;xyouts,5e-2,8.0e-23,'!6(i)',siz=siz,col=122
;xyouts,3e-2,7.2e-22,'!6(ii)',siz=siz,col=122
;xyouts,9e-3,1.9e-21,'!6(iii)',siz=siz,col=122
;xyouts,5e-3,5.3e-21,'!6(iv)',siz=siz,col=122
;
loadct,5
;
xx=[2.6e-4,2e-3] & oplot,li=3,xx,6e-23/xx^.5
xx=[1.4e-2,5e-2] & oplot,li=3,xx,1e-26/xx^(7./3.)
xyouts,1.9e-4,1.0e-21,'!9A!8f!6!u-1/2!n',siz=siz
xyouts,2.2e-2,1.2e-22,'!9A!8f!6!u-7/3!n',siz=siz
;
print,'$mv idl.ps ~/tex/roper/GW/fig/pspecm_scl5_comp2.ps'
END
