;$Id: pspecm_scl5_hel_sig_Me.pro,v 1.2 2020/11/01 15:10:52 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  sig   grav1mm     pol1     pol2      hel1     hel2   run
;-1.000  2.64e-06 -0.88109 -0.41315  -0.97212 -0.24926  F1152sigm1a
;-0.100  1.88e-06 -0.16662 -0.03742  -0.31665 -0.02251  F1152sigm01a
; 0.100  1.90e-06  0.22322  0.04499   0.31759  0.02252  F1152sig01a
; 1.000  2.67e-06  0.89864  0.39000   0.96944  0.26901  F1152d2_sig1_t11_M2c_double
;
dir0='M1152e_exp6k4'
dir1='M1152e_exp6k4_sig07'
dir2='M1152e_exp6k4_sig05'
dir3='M1152e_exp6k4_sig03'
dir4='M1152e_exp6k4_sig01'
;
yr_pspecm_scl3=[2d-15,5d-10]
;
thick4=5
siz=1.1
!p.charsize=1.8
!x.margin=[8.0,1.3]
!y.margin=[3.2,0.2]
!p.multi=0
fac2=2.
half='!s!u 1!n!r!s-!r!d 2!n'
specm='/specm.sav'
label=''
;
;  determine normalization
;
default,maglabel,'mag'
default,plot_polarization,1
;ytickf='logticks_exp'
yr=yr_pspecm_scl3
;
Hstar=2.066d10
a0=1.2545d15
freq=Hstar/(2.*!pi*a0)
H0=3.24d-18
rhocrit_fac=3./(8.*!pi)
fac_h=sqrt(3./2.)*H0/!pi
fac=(Hstar/H0)^2/rhocrit_fac*(1./a0)^4
facGW=1./(16.*!pi)
xr=[2.4e-4,1.2e-1]
circ_sym,0.7,1
energyfac=1e3
mixed=0.
;
!p.title='!6';+run
!x.title='!8f!6 [Hz]'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n(!8f!6)'
;
restore,'../'+dir0+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr,ytickf=ytickf
;
restore,'../'+dir1+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
oplot,freq*k,energyfac*OmegaGW,col=55
;
restore,'../'+dir2+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
loadct,6
oplot,freq*k,energyfac*OmegaGW,col=122
loadct,5
;
restore,'../'+dir3+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
oplot,freq*k,energyfac*OmegaGW,col=155
;
restore,'../'+dir4+specm
grav_tot=grav1m+grah1m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
oplot,freq*k,energyfac*OmegaGW,col=122
;
;  Caprini+16, Cornish, Maggiore00 points
;
loadct,6
dir='~/tex/roper/PencilGW/data/'
file=dir+'Cornish.rtf'
c1=rtable(file,2,head=1)
;
file=dir+'Cornish20Yrs.dat'
c2=rtable(file,2,head=1)
;
file=dir+'Maggiore.rtf'
m1=rtable(file,2,head=1)
;
file=dir+'Caprini-C3.rtf'
a3=rtable(file,2,head=1)
;
file=dir+'Caprini-C1.rtf'
a1=rtable(file,2,head=1)
;
file=dir+'Robson_Cornish.rtf'
n1=rtable(file,2,head=1)
oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
loadct,5
;
;  overplot
;
xx=[3e-4,1.5e-3] & oplot,li=3,xx,5.0e-9*xx
xx=[9e-3,4.7e-2] & oplot,li=3,xx,1.2e-16/xx^(8./3.)
xyouts,4.0e-4,8.0e-13,'!9A!8f!6',siz=siz*1.3
xyouts,2.2e-2,8.4e-12,'!9A!8f!6!u-8/3!n',siz=siz*1.5
;
;  legends
;
xx=1.2e-3 & dx=xx*1.4
legend,xx,dx,1e-12,0,'!7r!6=1'
legend,xx,dx,3e-13,0,'!7r!6=0.7',col=55 & loadct,6
legend,xx,dx,1e-13,0,'!7r!6=0.5',col=122 & loadct,5
legend,xx,dx,3e-14,0,'!7r!6=0.3',col=155
legend,xx,dx,1e-14,0,'!7r!6=0.1',col=122
;
print,'$mv idl.ps ~/tex/roper/helical/fig/pspecm_scl5_hel_sig_Me.ps'
END
