;$Id: pcomp_M512k2_both_fixed.pro,v 1.1 2020/11/07 18:18:07 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=6,yoffset=3
  !p.charthick=1.5 & !p.thick=1.5 & !x.thick=1.5 & !y.thick=1.5
end
;
!p.charsize=1.4
!x.margin=[8.3,1.5]
!y.margin=[3.1,0.4]
!p.multi=[0,3,2]
!x.range=[1,3.5]
!x.tickv=[1.,1.5,2.,2.5,3.,3.5]
!x.tickname=['1','1.5','2','2.5','3','3.5']
;
th1=2
th2=5
xout1=3.15
xout2=1.08
siz=.8
;
;  sample to compare time series form different directories
;
dir1='K512sig0_k6_ramp1a'
dir2='K512sig05_k6_ramp1a'
dir3='K512sig1_k6_ramp1a'
yrM=[0,.008] & yrK=[0,.02] & yrepsK=[0,.060] & yrGW=[0,8e-9]
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
!y.ticks=2
!x.title='!6'
!y.title='!7X!6!dK!n'
plot,ts1.t,ts1.EEK,yr=yrK
oplot,ts2.t,ts2.EEK,col= 55,th=th1
oplot,ts3.t,ts3.EEK,col=122,th=th1
xyouts,xout1,.0165,'!6(a)',siz=siz
xyouts,1.600,.0165,'!6(no !8B!6-field)',siz=siz*.8
;
nu=2e-7
!y.ticks=3
!x.title='!6'
!y.title='!7e!6!dK!n'
plot,ts1.t,ts1.orms^2*nu,yr=yrepsK
oplot,ts2.t,ts2.orms^2*nu,col= 55,th=th1
oplot,ts3.t,ts3.orms^2*nu,col=122,th=th1
xyouts,xout1,.0480,'!6(b)',siz=siz
;
!y.ticks=2
!y.title='!7X!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=yrGW
oplot,ts2.t,ts2.EEGW,col= 55,th=th1
oplot,ts3.t,ts3.EEGW,col=122,th=th1
xyouts,xout2,6.5e-9,'!6(c)',siz=siz
;
;-----------------------------------------------------------------------------
dir1='M512sig0_k6_ramp1a'
dir2='M512sig03_k6_ramp1a'
dir3='M512sig1_k6_ramp1a'
yrM=[0,.020] & yrK=[0,.02] & yrepsM=[0,.060] & yrGW=[0,8e-9]
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
pc_read_ts,o=ts1_,datadir='../'+dir1+'_noGW/data'
pc_read_ts,o=ts2_,datadir='../'+dir2+'_noGW/data'
pc_read_ts,o=ts3_,datadir='../'+dir3+'_noGW/data'
;
!y.ticks=2
!x.title='!8t!6'
!y.title='!7X!6!dM!n'
plot,ts1.t,ts1.EEM,yr=yrM
oplot,ts2.t,ts2.EEM,col= 55,th=th1
oplot,ts3.t,ts3.EEM,col=122,th=th1
xyouts,xout1,.0165,'!6(d)',siz=siz
;
!y.ticks=3
!x.title='!8t!6'
!y.title='!7e!6!dM!n'
plot,ts1.t,ts1_.epsM,yr=yrepsM
oplot,ts2.t,ts2_.epsM,col= 55,th=th1
oplot,ts3.t,ts3_.epsM,col=122,th=th1
xyouts,xout1,.0480,'!6(e)',siz=siz
;
!y.ticks=2
!y.title='!7X!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=yrGW
oplot,ts2.t,ts2.EEGW,col= 55,th=th1
oplot,ts3.t,ts3.EEGW,col=122,th=th1
xyouts,xout2,6.5e-9,'!6(f)',siz=siz
;
print,"$mv idl.ps ~/tex/tina/CircPol/fig/pcomp_M512k2_both_fixed.ps"
!p.multi=0
END
