;$Id: phel_time_good.pro,v 1.1 2018/05/08 16:21:33 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=8,yoffset=3
  device,xsize=18,ysize=18,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
siz=1.6
siz=2.0
@parameters
!p.charsize=1.8
!x.margin=[7.6,0.5]
!y.margin=[3.2,0.2]
!p.multi=[0,1,2]
;
t=ts.t
bx=ts.bxp2 & by=ts.byp2
bx=ts.bxpt & by=ts.bypt
bx=ts.hhTp2 & by=ts.hhXp2
bx=ts.hhTpt & by=ts.hhXpt
;
;  select fields with positive and negative travel speeds
;
bx_pos=bx & bx_pos(notpos)=0. & bx_neg=bx & bx_neg(notneg)=0.
by_pos=by & by_pos(notpos)=0. & by_neg=by & by_neg(notneg)=0.
;
L=1.
c=3e10
scalefactor=8d-16
freq=c/L*scalefactor
;
kM=3.81
fac=freq/kM
;
good=where(t lt 4000.)
dom=2*!pi/(max(t(good))-min(t(good)))*fac
helspec,bx_pos,by_pos,tEk,kHk,k,k1
tEk=tEk*k*dom
kHk=kHk*k*dom
smooth_log,k,kHk,kk,kHkk;,fact=fact
;
yr=[2e-17,2e-12]  ;(f3)
yr=[5e-22,5e-19]  ;(g3)
yr=[5e-22,2e-17]  ;(c3)
circ_sym,1.3,1
!y.title='!8fS!6(!8f!6)  and  !8fA!6(!8f!6)'
;
!x.title='!6'
plot_oo,dom*k[1:*],tEk[1:*],yr=yr
oplot,dom*kk[1:*],abs(kHkk[1:*]),li=1
oplot,dom*kk[1:*],+kHkk[1:*],ps=8,col=122
oplot,dom*kk[1:*],-kHkk[1:*],ps=8,col=55
;
xx=[1e-4,1e-3]
oplot,xx,1e-16/xx^1
oplot,xx,4e-23/xx^2
;
;good=where(t gt 40.2 and t le 42.0)
good=where(t gt 0.)
dom=2*!pi/(max(t(good))-min(t(good)))*fac
helspec,bx_neg,by_neg,tEk,kHk,k,k1
tEk=tEk*k*dom
kHk=kHk*k*dom
smooth_log,k,kHk,kk,kHkk;,fact=fact
;
!x.title='!8f!6  [Hz]'
circ_sym,1.3,1
plot_oo,dom*k[1:*],tEk[1:*],yr=yr
oplot,dom*kk[1:*],abs(kHkk[1:*]),li=1
oplot,dom*kk[1:*],+kHkk[1:*],ps=8,col=122
oplot,dom*kk[1:*],-kHkk[1:*],ps=8,col=55
;
;oplot,k[1:*],abs(kHk[1:*]),li=1
;oplot,k[1:*],+kHk[1:*],ps=8,col=122
;oplot,k[1:*],-kHk[1:*],ps=8,col=55
;
xx=[1e-4,1e-3]
oplot,xx,1e-16/xx^1
oplot,xx,4e-23/xx^2
;
cwd,run
print,'$mv idl.ps ~/tex/roper/GW/fig/phel_time_'+run+'.ps'
;
END
