;power,'_kin','hel_kin',k=k,spec1=spec1,spec2=spec2,i=n,tt=t,/noplot
power,'_mag','hel_mag',k=k,spec1=spec1,spec2=spec2,i=n,tt=t,/noplot
power,'_GWs','hel_GWs',k=k,spec1=grav1,spec2=grav2,i=n,tt=t,/noplot
;power,'_Str','hel_Str',k=k,spec1=stre1,spec2=stre2,i=n,tt=t,/noplot
;power,'_Str','hel_Str',k=k,spec1=grav1,spec2=grav2,i=n,tt=t,/noplot
;
;  $Id: ppower_all_rat.pro,v 1.2 2019/11/06 11:26:28 roper Exp $
;
;  This routine is used to view all power spectra
;  that were written during the run (controlled by dspec)
;  The plot range yr is set to a default value.
;  The time interval of plotting is "w" (default value)
;
;   5-oct-02/axel: written
;
!p.multi=0
spawn,'if (! -f param.pro) touch parameters.pro'
@parameters
xr=[1,max(k)]
istride=1
default,w,.2
default,t1,.0
default,iover,0
default,istride,1
default,yr,[3e-12,3e-2]
ampl15=3e-10 & ampl4=1e-13
ampl15=3e-6 & ampl4=1e-8
circ_sym,1.3,1
;
good=where(t ge t1)
i1=min(good)
i2=n-2
;
for i=i1,i2,istride do begin
  if iover eq 0 or i eq 0 then begin
    plot_oi,k,spec2(*,i)*k/2./spec1(*,i),xr=xr,yr=[-1,1]*1.6,tit='t='+str(t(i))
  endif
  oplot,k,spec2(*,i)*k/2./spec1(*,i)
  oplot,k,.5*grav2(*,i)/grav1(*,i),col=188
  print,i,t(i)
  wait,w
end
;
good=where(t gt t1)
it1=min(good)
it2=max(good)
spec1m=total(spec1,2)/(it2-it1+1)
spec2m=total(spec2,2)/(it2-it1+1)
grav1m=total(grav1,2)/(it2-it1+1)
grav2m=total(grav2,2)/(it2-it1+1)
;save,file='specm.sav',k,spec1m,spec2m,grav1m,grav2m
print,'sum for t>t1? t1=',t[it1],t[it2]
stop
END
