;$Id: ppower_comp_M1152e_exp6k4.pro,v 1.7 2019/08/23 13:02:45 roper Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=26,yoffset=3
  !p.charthick=2.0 & !p.thick=2.0 & !x.thick=2.0 & !y.thick=2.0
end
;
;  mv idl.ps ~/tex/roper/GW/fig/ppower_comp_M1152e_exp6k4.ps
;
;!x.margin=[5.2,.5]
!x.margin=[8.2,.5]
!y.margin=[3.2,.2]
;
;  scale factor for GW spectra:
;
s=2.*!pi*100.
dir1='M1152e_exp6k4' & sGW1=1.*s & sM1=s
dir2='M1152e_exp6k4_k60' & sGW2=8.*s & sM2=8.*s
dir3='M1152e_exp6k4_k1_300' & sGW3=8.*s & sM3=4.*s
dir3='M1152e_exp6k4_k1_600' & sGW3=500.*s & sM3=100.*s
;
default,iread,0
if iread eq 0 then begin
  power,'_GWs','_mag',k=k1,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data',/lks
  power,'_GWs','_mag',k=k2,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data',/lks
  power,'_GWs','_mag',k=k3,spec1=spec3,spec2=spec3b,i=n,tt=t3,/noplot,datatopdir='../'+dir3+'/data',/lks
  iread=1
endif
;
!x.title='!6'
!y.title='!6'
!p.multi=[0,1,4]
!p.charsize=2.4
xlabt=1.4 & ylabt=6e-5
fo='(f6.3)'
siz=1.4
xx=1.2
th2=2
li2=0
th=8
k0=1.
;
xr=[.9,!pi*1e4]
yr=[2e-16,5e-3]*s
it=5 & itd2=-1 & itd3=-5
print,t1[it],t2[it+itd2],t3[it+itd3]
plot_oo,k1[1:*]/k0,sGW1*spec1[1:*,it],xr=xr,yr=yr
oplot,k2[1:*]/k0,sGW2*spec2[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sGW3*spec3[1:*,it+itd3],col=55,li=2,th=th
;
oplot,k1[1:*]/k0,sM1*spec1b[1:*,it]
oplot,k2[1:*]/k0,sM2*spec2b[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sM3*spec3b[1:*,it+itd3],col=55,li=2,th=th
;xyouts,1.5e3,6e-10,'!8k!6!d*!n!8E!6!dGW!n(!8k!6)/!13E!6!urad!n',siz=siz
;xyouts,5.5e2,1e-6,'!8k!6!d*!n!8E!6!dM!n(!8k!6)/!13E!6!urad!n',siz=siz
;xyouts,xlabt,s*ylabt,'!8tH!6!d*!n = '+str(t1[it],fo=fo),siz=siz
xyouts,xlabt,s*ylabt,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;xyouts,2.4e3,s*6e-11,'!8k!d*!nE!6!dGW!n(!8k!6)/!13E!6!drad!n',siz=siz
;xyouts,3e2,s*2e-6,'!8k!d*!nE!6!dM!n(!8k!6)/!13E!6!drad!n',siz=siz
xyouts,2.4e3,s*6e-11,'!8k!d*!n!7X!6!dGW!n(!8k!6)/!8k',siz=siz
xyouts,3e2,s*2e-6,'!8k!d*!n!7X!6!dM!n(!8k!6)/!8k',siz=siz
xyouts,1.0e2,s*1e-14,'!9A!8k!6!u2!n',siz=siz
xx=[4.,190.] & oplot,xx,s*6e-17*xx^2
;
it=20 & itd2=-1 & itd3=-17
print,t1[it],t2[it+itd2],t3[it+itd3]
plot_oo,k1[1:*]/k0,sGW1*spec1[1:*,it],xr=xr,yr=yr
oplot,k2[1:*]/k0,sGW2*spec2[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sGW3*spec3[1:*,it+itd3],col=55,li=2,th=th
;
oplot,k1[1:*]/k0,sM1*spec1b[1:*,it]
oplot,k2[1:*]/k0,sM2*spec2b[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sM3*spec3b[1:*,it+itd3],col=55,li=2,th=th
;xyouts,xlabt,s*ylabt,'!8tH!6!d*!n = '+str(t1[it],fo=fo),siz=siz
xyouts,xlabt,s*ylabt,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
xyouts,3e1,s*1e-14,'!9A!8k!6!u2!n',siz=siz
xx=[2.,50.] & oplot,xx,s*7e-16*xx^2
;
it=50 & itd2=-1 & itd3=-39
print,t1[it],t2[it+itd2],t3[it+itd3]
!y.title='                               !8k!d*!n!7X!6!dM!n(!8k!6)/!8k!6  and  !8k!d*!n!7X!6!dGW!n(!8k!6)/!8k!6'
plot_oo,k1[1:*]/k0,sGW1*spec1[1:*,it],xr=xr,yr=yr
oplot,k2[1:*]/k0,sGW2*spec2[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sGW3*spec3[1:*,it+itd3],col=55,li=2,th=th
;
oplot,k1[1:*]/k0,sM1*spec1b[1:*,it]
oplot,k2[1:*]/k0,sM2*spec2b[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sM3*spec3b[1:*,it+itd3],col=55,li=2,th=th
;xyouts,xlabt,s*ylabt,'!8tH!6!d*!n = '+str(t1[it],fo=fo),siz=siz
xyouts,xlabt,s*ylabt,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;
it=390 & itd2=-1 & itd3=-300
;!x.title='!8ck!6/!8H!6!d*!n'
!x.title='!8k!6!n'
!y.title='!6'
print,t1[it],t2[it+itd2],t3[it+itd3]
plot_oo,k1[1:*]/k0,sGW1*spec1[1:*,it],xr=xr,yr=yr
oplot,k2[1:*]/k0,sGW2*spec2[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,sGW3*spec3[1:*,it+itd3],col=55,li=2,th=th
;
oplot,k1[1:*]/k0,sM1*spec1b[1:*,it]
oplot,k2[1:*]/k0,sM2*spec2b[1:*,it+itd2],col=122,li=li2,th=th2
oplot,k3[1:*]/k0,2*sM3*spec3b[1:*,it+itd3],col=55,li=2,th=th
;xyouts,xlabt,s*ylabt,'!8tH!6!d*!n = '+str(t1[it],fo=fo),siz=siz
xyouts,xlabt,s*ylabt,'!8t!6 = '+str(t1[it],fo=fo),siz=siz
;
END
