@parameters
default,kin,0
default,hdone,1
get_lhalf_factor_in_GW,lhalf_factor_in_GW
pc_read_param,/param2,obj=param2
cstress_prefactor=param2.cstress_prefactor
;
if kin then begin
  power,'_kin','hel_kin',k=k,spec1=spec1 ,spec2=spec2 ,i=n,tt=t,/noplot
endif else begin
  power,'_mag','hel_mag',k=k,spec1=spec1,spec2=spec2,i=n,tt=t,/noplot
  power,'_kin','hel_kin',k=k,spec1=kine1,spec2=kine2,i=n,tt=t,/noplot
endelse
power,'_GWs','hel_GWs',k=k,spec1=grav1,spec2=grav2,i=n,tt=t,/noplot
if hdone then $
power,'_GWh','hel_GWh',k=k,spec1=grah1,spec2=grah2,i=n,tt=t,/noplot
;power,'_Str','hel_Str',k=k,spec1=stre1,spec2=stre2,i=n,tt=t,/noplot
;power,'_Str','hel_Str',k=k,spec1=grav1,spec2=grav2,i=n,tt=t,/noplot
;
;  $Id: ppower_pol.pro,v 1.1 2018/02/27 15:34:58 brandenb Exp $
;
;  This routine is used to view all power spectra
;  that were written during the run (controlled by dspec)
;  The plot range yr is set to a default value.
;  The time interval of plotting is "w" (default value)
;
;   5-oct-02/axel: written
;
spawn,'if (! -f param.pro) touch parameters.pro'
xr=[1,max(k)]
default,w,.2
default,t1,.0
default,iover,0
default,istride,1
default,yr,[3e-12,3e-2]
ampl15=3e-10 & ampl4=1e-13
ampl15=3e-6 & ampl4=1e-8
;
good=where(t ge t1)
i1=min(good)
i2=n-2
;
for i=i1,i2,istride do begin
  if iover eq 0 or i eq 0 then begin
    plot_oo,k,spec1(*,i),xr=xr,yr=yr,tit='t='+str(t(i))
  endif
  circ_sym,1.3,0
  oplot,k,spec1(*,i)
  ;oplot,k,Ekin (*,i),col=122
  oplot,k,abs(spec2(*,i))*k/2.,li=1
  oplot,k,spec2(*,i)*k/2.,col=122,ps=8
  oplot,k,-spec2(*,i)*k/2.,col=55,ps=8
  ;oplot,k,abs(spec2(*,i))/(2.*k),li=1
  ;oplot,k,spec2(*,i)/(2.*k),col=122,ps=8
  ;oplot,k,-spec2(*,i)/(2.*k),col=55,ps=8
  ;
  circ_sym,1.3,1
  oplot,k,grav1(*,i),col=188
  oplot,k,abs(grav2(*,i)),li=1,col=188,thick=4
  oplot,k,grav2(*,i),col=122,ps=8
  oplot,k,-grav2(*,i),col=55,ps=8
  ;
  if hdone then begin
  circ_sym,.8,1
  oplot,k,grah1(*,i),col=155
  oplot,k,abs(grah2(*,i)),li=1,col=155,thick=4
  oplot,k,grah2(*,i),col=122,ps=8
  oplot,k,-grah2(*,i),col=55,ps=8
  endif
  ;
  ;kk=[1.,5.] & oplot,kk,.02/kk^8
  ;kk=[1.,5.] & oplot,kk,1e-23*kk^2
  kk=[10.,100.] & oplot,kk,.0002/kk^2
  kk=[8.,80.] & oplot,kk,1e-6/kk^(11./3.)
  print,i,t(i)
  wait,w
end
;
good=where(t gt t1)
it1=min(good)
it2=max(good)
spec1m=total(spec1[*,it1:it2],2)/(it2-it1+1)
spec2m=total(spec2[*,it1:it2],2)/(it2-it1+1)
if not kin then begin 
  kine1m=total(kine1[*,it1:it2],2)/(it2-it1+1)
  kine2m=total(kine2[*,it1:it2],2)/(it2-it1+1)
endif
grav1m=total(grav1[*,it1:it2],2)/(it2-it1+1)
grav2m=total(grav2[*,it1:it2],2)/(it2-it1+1)
;
END
